Guides & Tutorials7.5 Update TroubleshootingTroubleshooting a Failed to remove legacy modules Error

Troubleshooting a Failed to remove legacy modules Error

Symptom

Upon applying the WHMCS 7.5 update, you may encounter the following message in an email or in the Utilities > Activity Log:

A recent WHMCS update failed to remove legacy modules. These modules may cause negative behavior if you upgrade PHP and leave them on the system.

We recommend working to remove them manually.

The update process checks for the presence of discontinued modules in your installation, and provided they are not in use, removes them automatically.

A module is considered to be in use if it is activated and configured.

Cause

Encountering this message indicates that the auto updater was unable to remove discontinued and unused modules. This is caused by permission restrictions on the files preventing them from being deleted by the PHP process.

The error message will contain a list of the modules which were selected for removal but could not be deleted.

Solution

The recommendation is to manually delete the module files from your WHMCS directory via FTP. They are located within the /modules folder.

The presence of such files may cause operational issues for the software if they become outdated to the point they can no-longer be executed by the current server environment.